#navbar {
    --navbar-height: 64px;
    position: fixed;
    height: var(--navbar-height);
    background-color: var(--mainwhite);
    left: 0;
    right: 0;
    z-index: 10;
}

.container {
    max-width: 1000px;
    padding-left: 1.4rem;
    padding-right: 1.4rem;
    margin-left: auto;
    margin-right: auto;
}

.navbar-container {
    display: flex;
    justify-content: space-between;
    height: 100%;
    align-items: center;
}

.navbar-item {
    margin: 0.4em;
    width: 100%;
}
  
.home-link,
.navbar-link {
    color: var(--mainblack);
    text-decoration: none;
    display: flex;
    font-weight: 500;
    font-size: 20px;
    align-items: center;
    transition: 0.5s;
}
  
.home-link:is(:focus, :hover) {
    color: var(--maingreen);
}
  
.navbar-link {
    justify-content: center;
    width: 100%;
    padding: 0.4em 0.8em;
    border-radius: 5px;
}

.home-link img {
    width: 115px;
    height: 40px;
}
  
.navbar-link:is(:focus, :hover) {
    color: var(--maingreen);
    background-color: var(--navbar-bg-contrast);
}

.navbar-logo {
    background-color: var(--maingreen);
    border-radius: 50%;
    width: 30px;
    height: 30px;
    margin-right: 0.5em;
}

#navbar-toggle {
    cursor: pointer;
    border: none;
    background-color: transparent;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.icon-bar {
    display: block;
    width: 25px;
    height: 4px;
    margin: 2px;
    background-color: var(--mainblack);
}

#navbar-toggle:is(:focus, :hover) .icon-bar {
    background-color: var(--maingreen);
}

#navbar-toggle[aria-expanded="true"] .icon-bar:is(:first-child, :last-child) {
    position: absolute;
    margin: 0;
    width: 30px;
}

#navbar-toggle[aria-expanded="true"] .icon-bar:first-child {
    transform: rotate(45deg);
}

#navbar-toggle[aria-expanded="true"] .icon-bar:nth-child(2) {
    opacity: 0;
}

#navbar-toggle[aria-expanded="true"] .icon-bar:last-child {
    transform: rotate(-45deg);
}

#navbar-menu {
    position: fixed;
    top: var(--navbar-height);
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    left: 0;
    right: 0;
}

#navbar-toggle[aria-expanded="true"] + #navbar-menu {
    background-color: rgba(0, 0, 0, 0.4);
    opacity: 1;
    visibility: visible;
}

.navbar-links {
    list-style: none;
    position: absolute;
    background-color: var(--mainwhite);
    display: flex;
    flex-direction: column;
    align-items: center;
    left: 0;
    right: 0;
    margin: 1.4rem;
    border-radius: 5px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.3);
}
  
#navbar-toggle[aria-expanded="true"] + #navbar-menu .navbar-links {
    padding: 1em;
}

@media screen and (min-width: 700px) {
    #navbar-toggle,
    #navbar-toggle[aria-expanded="true"] {
        display: none;
    }
  
    #navbar-menu,
    #navbar-toggle[aria-expanded="true"] #navbar-menu {
        visibility: visible;
        opacity: 1;
        position: static;
        display: block;
        height: 100%;
    }
  
    .navbar-links,
    #navbar-toggle[aria-expanded="true"] #navbar-menu .navbar-links {
        margin: 0;
        padding: 0;
        box-shadow: none;
        position: static;
        flex-direction: row;
        width: 100%;
        height: 100%;
    } 
}